# This file is part of pyDC software
# Copyright 2002-2003 Anakim Border <aborder@users.sourceforge.net>
#
# pyDC is released under the terms of GPL licence.

from JobViewerInfo import JobViewerInfo
import wx

class EmptyViewer(wx.Panel):
	def __init__(self, parent, id, info = None):
		wx.Panel.__init__(self, parent, id)

	def viewerDestroy(self, jobStopped):
		pass

	def registerListener(self, listener):
		pass

	def update(self):
		pass

	def getTitle(self):
		return None

	def getInfo(self):
		return EmptyViewerInfo()

class EmptyViewerInfo(JobViewerInfo):
	def __init__(self):
		JobViewerInfo.__init__(self, None)
