# This file is part of pyDC software
# Copyright 2002-2004 Anakim Border <aborder@users.sourceforge.net>
#
# pyDC is released under the terms of GPL licence.

class DCItem(object):
	__slots__ = ('userNick', 'path', 'size')

	def __init__(self):
		self.userNick = None
		self.path = None
		self.size = -1L

	def copy(self, item):
		self.userNick = item.userNick
		self.path = item.path
		self.size = item.size
		
	def getUserNick(self):
		return self.userNick

	def getPath(self):
		return self.path
		
	def getSize(self):
		return self.size
