# This file is part of pyDC software
# Copyright 2002-2004 Anakim Border <aborder@users.sourceforge.net>
#
# pyDC is released under the terms of GPL licence.

from DCItem import *

class DCSearchResult(DCItem):
	__slots__ = ('type', 'freeSlots', 'slots', 'hubName')

	def __init__(self):
		DCItem.__init__(self)

		self.type = None
		self.freeSlots = -1
		self.slots = -1
		self.hubName = None

	def getType(self):
		return self.type
	
	def getFreeSlots(self):
		return self.freeSlots
	
	def getSlots(self):
		return self.slots
	
	def getHubName(self):
		return self.hubName