/*This file is part of pyDC software
Copyright 2002-2003 Anakim Border <aborder@users.sourceforge.net>

pyDC is released under the terms of GPL licence.*/

%module codec
%{
#include "codec.h"
%}

%include "cstring.i"
%cstring_input_binary(char* data, unsigned int size);
%cstring_output_allocate_size(char **ptr, int *len, (*$1));

class Encoder
{
public:
	Encoder();
	~Encoder();
	void encode(const char* data);
	void encoded(char **ptr, int *len);
	const unsigned int length() const;
};

class Decoder
{
public:
	Decoder();
	~Decoder();
	bool decode(char* data, unsigned int size);
	const char* decoded();
};
